Index: trunk/SophyaLib/SkyMap/fiospherehealpix.cc
===================================================================
--- trunk/SophyaLib/SkyMap/fiospherehealpix.cc	(revision 844)
+++ trunk/SophyaLib/SkyMap/fiospherehealpix.cc	(revision 853)
@@ -6,19 +6,19 @@
 
 //*******************************************************************
-// Class FIO_SphereHealpix<T>
+// Class FIO_SphereHEALPix<T>
 //  Les objets delegues pour la gestion de persistance 
 //*******************************************************************
 
 template <class T>
-FIO_SphereHealpix<T>::FIO_SphereHealpix()
+FIO_SphereHEALPix<T>::FIO_SphereHEALPix()
 {
-  dobj_= new SphereHealpix<T>;
+  dobj_= new SphereHEALPix<T>;
   ownobj= true;
 }
 
 template <class T>
-FIO_SphereHealpix<T>::FIO_SphereHealpix(string const& filename)
+FIO_SphereHEALPix<T>::FIO_SphereHEALPix(string const& filename)
 {
-  dobj_= new SphereHealpix<T>;
+  dobj_= new SphereHEALPix<T>;
   dobj_->SetTemp(true);
   ownobj= true;
@@ -27,7 +27,7 @@
 
 template <class T>
-FIO_SphereHealpix<T>::FIO_SphereHealpix(const SphereHealpix<T>& obj)
+FIO_SphereHEALPix<T>::FIO_SphereHEALPix(const SphereHEALPix<T>& obj)
 {
-  dobj_= new SphereHealpix<T>(obj, true);
+  dobj_= new SphereHEALPix<T>(obj, true);
   dobj_->SetTemp(true);
   ownobj= true;
@@ -35,5 +35,5 @@
 
 template <class T>
-FIO_SphereHealpix<T>::FIO_SphereHealpix(SphereHealpix<T>* obj)
+FIO_SphereHEALPix<T>::FIO_SphereHEALPix(SphereHEALPix<T>* obj)
 {
   dobj_= obj;
@@ -42,5 +42,5 @@
 
 template <class T>
-FIO_SphereHealpix<T>::~FIO_SphereHealpix()
+FIO_SphereHEALPix<T>::~FIO_SphereHEALPix()
 {
   if (ownobj && dobj_) delete dobj_;
@@ -48,5 +48,5 @@
 
 template <class T>
-AnyDataObj* FIO_SphereHealpix<T>::DataObj()
+AnyDataObj* FIO_SphereHEALPix<T>::DataObj()
 {
   return(dobj_);
@@ -54,7 +54,7 @@
 
 template <class T>
-void FIO_SphereHealpix<T>::SetDataObj(AnyDataObj & o)
+void FIO_SphereHEALPix<T>::SetDataObj(AnyDataObj & o)
 {
-  SphereHealpix<T> * po = dynamic_cast< SphereHealpix<T> * >(&o);
+  SphereHEALPix<T> * po = dynamic_cast< SphereHEALPix<T> * >(&o);
   if (po == NULL) return;
   if (ownobj && dobj_) delete dobj_;
@@ -63,10 +63,10 @@
 
 template <class T>
-void FIO_SphereHealpix<T>::ReadSelf(PInPersist& is)
+void FIO_SphereHEALPix<T>::ReadSelf(PInPersist& is)
 {
 
   if(dobj_ == NULL) 
     {
-      dobj_= new SphereHealpix<T>;
+      dobj_= new SphereHEALPix<T>;
       dobj_->SetTemp(true);
       ownobj= true;      
@@ -107,5 +107,5 @@
  
 template <class T>
-void FIO_SphereHealpix<T>::WriteSelf(POutPersist& os) const
+void FIO_SphereHEALPix<T>::WriteSelf(POutPersist& os) const
 {
   if(dobj_ == NULL) 
@@ -132,5 +132,5 @@
   if(dobj_->ptrInfo()) 
     {
-      sprintf(strg,"SphereHealpix: NSide=%6d  NPix=%9d HasInfo",nSide,nPix);
+      sprintf(strg,"SphereHEALPix: NSide=%6d  NPix=%9d HasInfo",nSide,nPix);
       os.PutLine(strg);
       os << dobj_->Info();
@@ -138,5 +138,5 @@
   else 
     { 
-      sprintf(strg,"SphereHealpix: NSide=%6d  NPix=%9d ",nSide,nPix);
+      sprintf(strg,"SphereHEALPix: NSide=%6d  NPix=%9d ",nSide,nPix);
       os.PutLine(strg);  
     }
@@ -157,13 +157,13 @@
 
 #ifdef __CXX_PRAGMA_TEMPLATES__
-#pragma define_template FIO_SphereHealpix<r_8>
-#pragma define_template FIO_SphereHealpix<r_4>
-#pragma define_template FIO_SphereHealpix< complex<r_4> >
-#pragma define_template FIO_SphereHealpix< complex<r_8> >
+#pragma define_template FIO_SphereHEALPix<r_8>
+#pragma define_template FIO_SphereHEALPix<r_4>
+#pragma define_template FIO_SphereHEALPix< complex<r_4> >
+#pragma define_template FIO_SphereHEALPix< complex<r_8> >
 #endif
 #if defined(ANSI_TEMPLATES) || defined(GNU_TEMPLATES)
-template class FIO_SphereHealpix<r_8>;
-template class FIO_SphereHealpix<r_4>;
-template class FIO_SphereHealpix< complex<r_4> >;
-template class FIO_SphereHealpix< complex<r_8> >;
+template class FIO_SphereHEALPix<r_8>;
+template class FIO_SphereHEALPix<r_4>;
+template class FIO_SphereHEALPix< complex<r_4> >;
+template class FIO_SphereHEALPix< complex<r_8> >;
 #endif
Index: trunk/SophyaLib/SkyMap/fiospherehealpix.h
===================================================================
--- trunk/SophyaLib/SkyMap/fiospherehealpix.h	(revision 844)
+++ trunk/SophyaLib/SkyMap/fiospherehealpix.h	(revision 853)
@@ -20,16 +20,16 @@
 
 template <class T>
-class FIO_SphereHealpix : public PPersist  
+class FIO_SphereHEALPix : public PPersist  
 {
 public:
 
-FIO_SphereHealpix();
-FIO_SphereHealpix(string const & filename); 
-FIO_SphereHealpix(const SphereHealpix<T>& obj);
-FIO_SphereHealpix(SphereHealpix<T>* obj);
-virtual ~FIO_SphereHealpix();
+FIO_SphereHEALPix();
+FIO_SphereHEALPix(string const & filename); 
+FIO_SphereHEALPix(const SphereHEALPix<T>& obj);
+FIO_SphereHEALPix(SphereHEALPix<T>* obj);
+virtual ~FIO_SphereHEALPix();
 virtual AnyDataObj* DataObj();
 virtual void SetDataObj(AnyDataObj & o);
-inline operator SphereHealpix<T>() { return(*dobj_); }
+inline operator SphereHEALPix<T>() { return(*dobj_); }
 
 protected :
@@ -37,5 +37,5 @@
 virtual void ReadSelf(PInPersist&);           
 virtual void WriteSelf(POutPersist&) const;  
-SphereHealpix<T>* dobj_;
+SphereHEALPix<T>* dobj_;
 bool ownobj;
 };
Index: trunk/SophyaLib/SkyMap/fitsspherehealpix.cc
===================================================================
--- trunk/SophyaLib/SkyMap/fitsspherehealpix.cc	(revision 844)
+++ 	(revision )
@@ -1,202 +1,0 @@
-#include "pexceptions.h"
-#include "fitsspherehealpix.h"
-
-
-
-
-///////////////////////////////////////////////////////////////////////
-// ----objets delegues  pour la gestion de persistance I/O format fits--
-// SphereHealpix
-////////////////////////////////////////////////////////////////////
-
-
-template <class T>
-FITS_SphereHealpix<T>::FITS_SphereHealpix()
-{
-  dobj_= new SphereHealpix<T>;
-  ownobj= true;
-}
-  
-template <class T>
-FITS_SphereHealpix<T>::FITS_SphereHealpix(char inputfile[],int hdunum)
-{
-  dobj_= new SphereHealpix<T>;
-  dobj_->SetTemp(true);
-  ownobj= true;
-
-  ReadF(inputfile,hdunum);
-}
-
-template <class T>
-void FITS_SphereHealpix<T>::Write(char outputfile[],int hdunum)
-{
-  WriteF(outputfile, hdunum);
-}
-
-template <class T>
-FITS_SphereHealpix<T>::FITS_SphereHealpix(const SphereHealpix<T>& obj)
-{
-  dobj_= new SphereHealpix<T>(obj, true);
-  dobj_->SetTemp(true);
-  ownobj= true;
-}
-
-template <class T>
-FITS_SphereHealpix<T>::FITS_SphereHealpix(SphereHealpix<T>* obj)
-{
-  dobj_= obj;
-  ownobj= false;
-}
-
-template <class T>
-FITS_SphereHealpix<T>::~FITS_SphereHealpix()
-{
-  if (ownobj && dobj_) delete dobj_;
-}
-
-template <class T>
-AnyDataObj* FITS_SphereHealpix<T>::DataObj()
-{
-  return(dobj_);
-}
-
-template <class T>
-void FITS_SphereHealpix<T>::WriteToFits(const FitsFile& fn)
-{
-  if(dobj_ == NULL) 
-    { 
-      cout << " WriteTo:: dobj_= null " << endl;
-      return;
-    }
-
-  DVList dvl;  
-
-  SphereCoordSys* cs= dobj_->GetCoordSys();
-  string description= cs->description();
-  dvl["COORDSYS"]= description;
-
-  dvl["ORDERING"]= dobj_->TypeOfMap();
-  
-  int nSide= dobj_->SizeIndex();
-  dvl["NSIDE"]= nSide;
-
-  int nPix= dobj_->NbPixels();
-  dvl["FIRSTPIX"]= 0;
-  dvl["LASTPIX"]= nPix-1;
-  dvl["Content"]= "SphereHealpix";
-  dvl["EXTNAME"]= "SIMULATION";
-  dvl["COMMENT"]= "Sky Map Pixelisation Specific Keywords";
-   
-  // On ecrit les dataBlocks 
-  //  fn.put_fits_bintab(dobj_->pixels_,dvl);
-  char** Noms = new char*[1];   
-  Noms[0]= new char[15];
-  strncpy(Noms[0],dvl.GetS("Content").c_str(),15);
-  char extname[15];
-  strncpy(extname,dvl.GetS("EXTNAME").c_str(),15);
-
-  cout << " nom entre dans sphereHealpix: " << Noms[0] << endl;
-  char Type[2];
-  if (strncmp( typeid(T).name(),"r_8",3)==0 || strncmp( typeid(T).name(),"double",6)==0 ) Type[0]='D';
-  else 
-    if (strncmp( typeid(T).name(),"r_4",3)==0 || strncmp( typeid(T).name(),"float",5)==0 )  Type[0]='E';
-    else
-      {
-	cout <<  " type de la sphere= " <<  typeid(T).name() << endl;
-	throw IOExc("FITS_SphereHealpix:: unknown type");
-      }
-  Type[1]='\0'; 
-  vector<int> dummy;
-  fn.makeHeaderBntblOnFits(Type, Noms, nPix, 1, dvl, extname, dummy);
-  delete [] Noms[0];
-  delete [] Noms;
-  putColToFits(0,  nPix, dobj_->pixels_.Data()); 
-} 
-
-template <class T> 
-void FITS_SphereHealpix<T>::ReadFromFits(const FitsFile& fn)
-{
-  if(dobj_ == NULL) 
-    {
-      dobj_= new SphereHealpix<T>;
-      dobj_->SetTemp(true);
-      ownobj= true;      
-    }
-
- 
-  int nbcols, nbentries;
-  nbcols = fn.NbColsFromFits();
-  if (nbcols != 1) 
-    {
-      throw IOExc("le fichier fits n'est pas une sphere Healpix");
-    }
-  //   const DVList* dvl = &fn.DVListFromFits();
-  DVList dvl=fn.DVListFromFits();
-  dvl.Print();
-   nbentries = fn.NentriesFromFits(0);
-  int lastpix=dvl.GetI("LASTPIX");
-  if (lastpix>0)
-    {
-      cout << " lastpix trouve= " << lastpix << endl;
-      if (nbentries!=lastpix+1) 
-	{
-	  cout << " nb pixels from LASTPIX = "  << lastpix+1 << endl;
-	  nbentries=lastpix+1;
-      	}
-    }
-  // Let's Read the SphereCoordSys object
-  int id= SphereCoordSys_NEUTRAL;
-  string description= "NEUTRAL SphereCoordSystem";
-  const char* coordsys= dvl.GetS("COORDSYS").c_str();    
-  if(strncmp(coordsys,"ROTATION",8) == 0)
-    {
-      id= SphereCoordSys_ROTATION;
-      description= "ROTATION SphereCoordSystem";
-    } 
-  else if(strncmp(coordsys,"OTHER",5) == 0)
-    {
-      id= SphereCoordSys_OTHER;
-      description= "OTHER SphereCoordSystem";
-    }
-  dobj_->SetCoordSys(new SphereCoordSys(id,description));   
-
-  const char* ordering= dvl.GetS("ORDERING").c_str();
-  if(strncmp(ordering,"RING",4) != 0)
-    { 
-      cout << " ORDERING= " << ordering << endl;
-      throw IOExc(" FITS_SphereHealpix:: numerotation non RING");
-    }
-
-  int nside= dvl.GetI("NSIDE");
-  if(nside <= 0)
-    throw IOExc("FITS_SphereHealpix:: No resol parameter nside");
-  int nPix = 12*nside*nside;
-  if (nPix != nbentries)
-    {
-      cout << " le nombre de pixels relu " << nbentries << " est incoherent avec la pixelisation Healpix qui donne nPix= " << nPix << endl; 
-      }
-  double Omega= 4.0*Pi/nPix;
-  dobj_->setParameters(nside,nPix,Omega);
-  cout << " sphere Healpix : las parametres sont introduits" << endl; 
-  // On lit les DataBlocks;
-  cout << "nside= " << nside << "nPix= " << nPix << endl;
-  dobj_->pixels_.ReSize(nPix);
-  cout << " sphere Healpix : resize fait" << endl; 
-  fn.GetSingleColumn(dobj_->pixels_.Data(),nPix);
-
-  // on effectue le decoupage en tranches 
-  dobj_->SetThetaSlices();
-  dobj_->Info()=fn.DVListFromFits();
-
-
-}
-
-
-#ifdef __CXX_PRAGMA_TEMPLATES__
-#pragma define_template FITS_SphereHealpix<r_8>
-#pragma define_template FITS_SphereHealpix<r_4>
-#endif
-#if defined(ANSI_TEMPLATES) || defined(GNU_TEMPLATES)
-template class FITS_SphereHealpix<r_8>;
-template class FITS_SphereHealpix<r_4>;
-#endif
Index: trunk/SophyaLib/SkyMap/fitsspherehealpix.h
===================================================================
--- trunk/SophyaLib/SkyMap/fitsspherehealpix.h	(revision 844)
+++ 	(revision )
@@ -1,48 +1,0 @@
-#ifndef FITSSPHEREHEALPIX_SEEN
-#define FITSSPHEREHEALPIX_SEEN
-
-
-// Guy Le Meur 03/2000
-
-
-#include "spherehealpix.h"
-#include "anydataobj.h"
-#include "ppersist.h"
-#include "fitsfile.h"
-
-namespace SOPHYA {
-///////////////////////////////////////////////////////////////////////
-// ------------- Classe pour la gestion de persistance I/O format fits--
-// spherehealpix
-//////////////////////////////////////////////////////////////////////
-template <class T>
-class FITS_SphereHealpix : public FitsFile  
-{
-public:
-
-FITS_SphereHealpix();
-FITS_SphereHealpix(char inputfile[],int hdunum=2); 
-FITS_SphereHealpix(const SphereHealpix<T>& obj);
-FITS_SphereHealpix(SphereHealpix<T>* obj);
-virtual ~FITS_SphereHealpix();
-virtual AnyDataObj* DataObj();
-
-inline operator SphereHealpix<T>() { return(*dobj_); }
-void Write(char outputfile[], int hdunum=2);
-
-protected:
-
-virtual void ReadFromFits(const FitsFile& fn);
-virtual void WriteToFits(const FitsFile& fn);
-void WriteTo (FitsFile& fn);            
-SphereHealpix<T>* dobj_;
-bool ownobj;
-};
-
-
-//////////////////////////////////////////////////////////////////
-
-
-} // Fin du namespace
-
-#endif
Index: trunk/SophyaLib/SkyMap/healpix.h
===================================================================
--- trunk/SophyaLib/SkyMap/healpix.h	(revision 853)
+++ trunk/SophyaLib/SkyMap/healpix.h	(revision 853)
@@ -0,0 +1,14 @@
+// This may look like C code, but it is really -*- C++ -*-
+//       To make life easier  - R. Ansari 04/2000
+
+#ifndef HEALPix_H_SEEN
+#define HEALPix_H_SEEN
+
+#include "spherehealpix.h"
+
+#define HEALPix SphereHEALPix
+#define SphereGorski SphereHEALPix
+#define SphereHealpix SphereHEALPix
+
+#endif
+
Index: trunk/SophyaLib/SkyMap/skymap.h
===================================================================
--- trunk/SophyaLib/SkyMap/skymap.h	(revision 853)
+++ trunk/SophyaLib/SkyMap/skymap.h	(revision 853)
@@ -0,0 +1,15 @@
+// This may look like C code, but it is really -*- C++ -*-
+//  All the include files for skymap 
+//                     R. Ansari, G. Le Meur   04/2000
+
+#ifndef ALLSKYMAP_H_SEEN
+#define ALLSKYMAP_H_SEEN
+
+#include "spherethetaphi.h"
+#include "spherehealpix.h"
+#include "localmap.h"
+#include "fiospherethetaphi.h"
+#include "fiospherehealpix.h"
+#include "fiolocalmap.h"
+
+#endif
Index: trunk/SophyaLib/SkyMap/skymapinit.cc
===================================================================
--- trunk/SophyaLib/SkyMap/skymapinit.cc	(revision 844)
+++ trunk/SophyaLib/SkyMap/skymapinit.cc	(revision 853)
@@ -35,15 +35,15 @@
   DObjRegister(FIO_SphereThetaPhi< complex<r_8> >, SphereThetaPhi< complex<r_8> >);
 
-  PPRegister(FIO_SphereHealpix<r_4>);  
-  DObjRegister(FIO_SphereHealpix<r_4>, SphereHealpix<r_4>);
+  PPRegister(FIO_SphereHEALPix<r_4>);  
+  DObjRegister(FIO_SphereHEALPix<r_4>, SphereHEALPix<r_4>);
 
-  PPRegister(FIO_SphereHealpix<r_8>);
-  DObjRegister(FIO_SphereHealpix<r_8>, SphereHealpix<r_8>);
+  PPRegister(FIO_SphereHEALPix<r_8>);
+  DObjRegister(FIO_SphereHEALPix<r_8>, SphereHEALPix<r_8>);
 
-  PPRegister(FIO_SphereHealpix< complex<r_4> >);
-  DObjRegister(FIO_SphereHealpix< complex<r_4> >, SphereHealpix< complex<r_4> >);
+  PPRegister(FIO_SphereHEALPix< complex<r_4> >);
+  DObjRegister(FIO_SphereHEALPix< complex<r_4> >, SphereHEALPix< complex<r_4> >);
 
-  PPRegister(FIO_SphereHealpix< complex<r_8> >);
-  DObjRegister(FIO_SphereHealpix< complex<r_8> >, SphereHealpix< complex<r_8> >);
+  PPRegister(FIO_SphereHEALPix< complex<r_8> >);
+  DObjRegister(FIO_SphereHEALPix< complex<r_8> >, SphereHEALPix< complex<r_8> >);
 
   PPRegister(FIO_LocalMap<r_4>);
Index: trunk/SophyaLib/SkyMap/spherehealpix.cc
===================================================================
--- trunk/SophyaLib/SkyMap/spherehealpix.cc	(revision 844)
+++ trunk/SophyaLib/SkyMap/spherehealpix.cc	(revision 853)
@@ -126,5 +126,5 @@
 //*******************************************************************
 //++ 
-// Class	SphereHealpix
+// Class	SphereHEALPix
 //
 // include      SphereHealpix.h strutil.h
@@ -177,5 +177,5 @@
 
 template<class T>
-SphereHealpix<T>::SphereHealpix()
+SphereHEALPix<T>::SphereHEALPix()
 
 //--
@@ -187,5 +187,5 @@
 //++
 template<class T>
-SphereHealpix<T>::SphereHealpix(int_4 m)
+SphereHEALPix<T>::SphereHEALPix(int_4 m)
 
 //    m is the "nside" of the Gorski algorithm
@@ -199,6 +199,6 @@
   if(m <= 0 || m > 8192) 
     {
-      cout << "SphereHealpix : m hors bornes [0,8192], m= " << m << endl;
-      throw RangeCheckError("SphereHealpix<T>::SphereHealpix() - Out of bound nside (< 8192)!");
+      cout << "SphereHEALPix : m hors bornes [0,8192], m= " << m << endl;
+      throw RangeCheckError("SphereHEALPix<T>::SphereHEALPix() - Out of bound nside (< 8192)!");
     }
   // verifier que m est une puissance de deux 
@@ -207,6 +207,6 @@
   if(x != 1) 
     {  
-      cout<<"SphereHealpix: m doit etre une puissance de deux, m= "<<m<<endl;
-      throw ParmError("SphereHealpix<T>::SphereHealpix() - nside != 2^n !");
+      cout<<"SphereHEALPix: m doit etre une puissance de deux, m= "<<m<<endl;
+      throw ParmError("SphereHEALPix<T>::SphereHEALPix() - nside != 2^n !");
     }
   InitNul();
@@ -216,5 +216,5 @@
 //++
 template<class T>
-SphereHealpix<T>::SphereHealpix(const SphereHealpix<T>& s, bool share)
+SphereHEALPix<T>::SphereHEALPix(const SphereHEALPix<T>& s, bool share)
   : pixels_(s.pixels_, share), sliceBeginIndex_(s.sliceBeginIndex_, share), 
 				sliceLenght_(s.sliceLenght_, share)
@@ -234,5 +234,5 @@
 //++
 template<class T>
-SphereHealpix<T>::~SphereHealpix()
+SphereHEALPix<T>::~SphereHEALPix()
 
 //--
@@ -246,5 +246,5 @@
 //++
 template<class T>
-void SphereHealpix<T>::Resize(int_4 m)
+void SphereHEALPix<T>::Resize(int_4 m)
 
 //    m is the "nside" of the Gorski algorithm
@@ -256,5 +256,5 @@
 {
   if (m<=0 || m> 8192) {
-    cout << "SphereHealpix : m hors bornes [0,8192], m= " << m << endl;
+    cout << "SphereHEALPix : m hors bornes [0,8192], m= " << m << endl;
     exit(1);
   }
@@ -264,5 +264,5 @@
   if(x != 1) 
     {  
-      cout<<"SphereHealpix: m doit etre une puissance de deux, m= "<<m<<endl;
+      cout<<"SphereHEALPix: m doit etre une puissance de deux, m= "<<m<<endl;
       exit(1);
     }
@@ -273,5 +273,5 @@
 
 template<class T>
-void  SphereHealpix<T>::Pixelize( int_4 m) 
+void  SphereHEALPix<T>::Pixelize( int_4 m) 
 
 //    prépare la pixelisation Gorski (m a la même signification 
@@ -301,5 +301,5 @@
 
 template<class T>
-void SphereHealpix<T>::InitNul()
+void SphereHEALPix<T>::InitNul()
 //
 //    initialise à zéro les variables de classe 
@@ -314,5 +314,5 @@
 //++
 template<class T>
-int_4 SphereHealpix<T>::NbPixels() const
+int_4 SphereHEALPix<T>::NbPixels() const
 
 //    Retourne le nombre de pixels du découpage
@@ -324,5 +324,5 @@
 //++
 template<class T>
-uint_4 SphereHealpix<T>::NbThetaSlices() const 
+uint_4 SphereHEALPix<T>::NbThetaSlices() const 
 
 //    Return number of slices in theta direction on the  sphere
@@ -340,5 +340,5 @@
 //++
 template<class T>
-void SphereHealpix<T>::GetThetaSlice(int_4 index,r_8& theta,TVector<r_8>& phi,TVector<T>& value) const 
+void SphereHEALPix<T>::GetThetaSlice(int_4 index,r_8& theta,TVector<r_8>& phi,TVector<T>& value) const 
 
 //    For a theta-slice with index 'index', return : 
@@ -355,7 +355,7 @@
   if (index<0 || index >= NbThetaSlices()) 
     {
-      // THROW(out_of_range("SphereHealpix::PIxVal Pixel index out of range")); 
-      cout << " SphereHealpix::GetThetaSlice : Pixel index out of range" <<endl;
-      throw RangeCheckError(" SphereHealpix::GetThetaSlice : Pixel index out of range");
+      // THROW(out_of_range("SphereHEALPix::PIxVal Pixel index out of range")); 
+      cout << " SphereHEALPix::GetThetaSlice : Pixel index out of range" <<endl;
+      throw RangeCheckError(" SphereHEALPix::GetThetaSlice : Pixel index out of range");
     }
 
@@ -381,5 +381,5 @@
 
 template<class T>
-void SphereHealpix<T>::GetThetaSlice(int_4 sliceIndex,r_8& theta, r_8& phi0, TVector<int_4>& pixelIndices,TVector<T>& value) const 
+void SphereHEALPix<T>::GetThetaSlice(int_4 sliceIndex,r_8& theta, r_8& phi0, TVector<int_4>& pixelIndices,TVector<T>& value) const 
 
 //    For a theta-slice with index 'sliceIndex', return : 
@@ -398,7 +398,7 @@
   if (sliceIndex<0 || sliceIndex >= NbThetaSlices()) 
     {
-      // THROW(out_of_range("SphereHealpix::PIxVal Pixel index out of range")); 
-      cout << " SphereHealpix::GetThetaSlice : Pixel index out of range" <<endl;
-      throw RangeCheckError(" SphereHealpix::GetThetaSlice : Pixel index out of range");
+      // THROW(out_of_range("SphereHEALPix::PIxVal Pixel index out of range")); 
+      cout << " SphereHEALPix::GetThetaSlice : Pixel index out of range" <<endl;
+      throw RangeCheckError(" SphereHEALPix::GetThetaSlice : Pixel index out of range");
     }
   int_4 iring= sliceBeginIndex_(sliceIndex);
@@ -416,5 +416,5 @@
 //++
 template<class T>
-void SphereHealpix<T>::SetThetaSlices()  
+void SphereHEALPix<T>::SetThetaSlices()  
 
 //--
@@ -443,5 +443,5 @@
 //++
 template<class T>
-T& SphereHealpix<T>::PixVal(int_4 k)
+T& SphereHEALPix<T>::PixVal(int_4 k)
 
 //    Return value of  pixel with "RING" index k 
@@ -450,5 +450,5 @@
   if((k < 0) || (k >= nPix_)) 
     {
-      throw RangeCheckError("SphereHealpix::PIxVal Pixel index out of range");
+      throw RangeCheckError("SphereHEALPix::PIxVal Pixel index out of range");
     }
   return pixels_(k);
@@ -458,5 +458,5 @@
 //++
 template<class T>
-T const& SphereHealpix<T>::PixVal(int_4 k) const
+T const& SphereHEALPix<T>::PixVal(int_4 k) const
 
 //    Return value of  pixel with "RING" index k 
@@ -465,5 +465,5 @@
   if((k < 0) || (k >= nPix_)) 
     {
-      throw RangeCheckError("SphereHealpix::PIxVal Pixel index out of range");
+      throw RangeCheckError("SphereHEALPix::PIxVal Pixel index out of range");
     }
   return *(pixels_.Data()+k);
@@ -472,5 +472,5 @@
 //++
 template<class T>
-T& SphereHealpix<T>::PixValNest(int_4 k)
+T& SphereHEALPix<T>::PixValNest(int_4 k)
 
 //    Return value of  pixel with "NESTED" index k 
@@ -479,5 +479,5 @@
   if((k < 0) || (k >= nPix_)) 
     { 
-      throw RangeCheckError("SphereHealpix::PIxValNest Pixel index out of range");
+      throw RangeCheckError("SphereHEALPix::PIxValNest Pixel index out of range");
     }
   return pixels_(nest2ring(nSide_,k));
@@ -486,5 +486,5 @@
 
 template<class T>
-T const& SphereHealpix<T>::PixValNest(int_4 k) const
+T const& SphereHEALPix<T>::PixValNest(int_4 k) const
 
 //    Return value of  pixel with "NESTED" index k 
@@ -493,5 +493,5 @@
   if((k < 0) || (k >= nPix_)) 
     { 
-      throw RangeCheckError("SphereHealpix::PIxValNest Pixel index out of range");
+      throw RangeCheckError("SphereHEALPix::PIxValNest Pixel index out of range");
   }
   int_4 pix= nest2ring(nSide_,k);
@@ -502,5 +502,5 @@
 //++
 template<class T>
-bool SphereHealpix<T>::ContainsSph(double /*theta*/, double /*phi*/) const
+bool SphereHEALPix<T>::ContainsSph(double /*theta*/, double /*phi*/) const
 //--
 {
@@ -511,5 +511,5 @@
 //++
 template<class T>
-int_4 SphereHealpix<T>::PixIndexSph(double theta,double phi) const
+int_4 SphereHEALPix<T>::PixIndexSph(double theta,double phi) const
 
 //    Return "RING" index of the pixel corresponding to 
@@ -522,5 +522,5 @@
 //++
 template<class T>
-int_4 SphereHealpix<T>::PixIndexSphNest(double theta,double  phi) const
+int_4 SphereHEALPix<T>::PixIndexSphNest(double theta,double  phi) const
 
 //    Return "NESTED" index of the pixel corresponding to 
@@ -535,5 +535,5 @@
 //++
 template<class T>
-void SphereHealpix<T>::PixThetaPhi(int_4 k,double& theta,double& phi) const
+void SphereHEALPix<T>::PixThetaPhi(int_4 k,double& theta,double& phi) const
 
 //   Return (theta,phi) coordinates of middle of  pixel with "RING" index k
@@ -544,5 +544,5 @@
 
 template <class T>
-T SphereHealpix<T>::SetPixels(T v)
+T SphereHEALPix<T>::SetPixels(T v)
 {
 pixels_.Reset(v);
@@ -552,5 +552,5 @@
 //++
 template<class T>
-double SphereHealpix<T>::PixSolAngle(int_4 /*dummy*/) const
+double SphereHEALPix<T>::PixSolAngle(int_4 /*dummy*/) const
 //    Pixel Solid angle  (steradians)
 //    All the pixels have the same solid angle. The dummy argument is
@@ -564,5 +564,5 @@
 //++
 template<class T>
-void SphereHealpix<T>::PixThetaPhiNest(int_4 k,double& theta,double& phi) const
+void SphereHEALPix<T>::PixThetaPhiNest(int_4 k,double& theta,double& phi) const
 
 //   Return (theta,phi) coordinates of middle of  pixel with "NESTED" index k
@@ -574,5 +574,5 @@
 //++
 template<class T>
-int_4 SphereHealpix<T>::NestToRing(int_4 k) const
+int_4 SphereHEALPix<T>::NestToRing(int_4 k) const
 
 //    translation from NESTED index  into RING index 
@@ -585,5 +585,5 @@
 //++
 template<class T>
-int_4 SphereHealpix<T>::RingToNest(int_4 k) const
+int_4 SphereHEALPix<T>::RingToNest(int_4 k) const
 //
 //    translation from  RING index  into NESTED index 
@@ -596,5 +596,5 @@
 
 template<class T>
-int_4 SphereHealpix<T>::nest2ring(int_4 nside, int_4 ipnest) const 
+int_4 SphereHEALPix<T>::nest2ring(int_4 nside, int_4 ipnest) const 
 {
   /*
@@ -678,5 +678,5 @@
 
 template<class T>
-int_4 SphereHealpix<T>::ring2nest(int_4 nside, int_4 ipring) const 
+int_4 SphereHEALPix<T>::ring2nest(int_4 nside, int_4 ipring) const 
 {
   /*
@@ -787,5 +787,5 @@
 
 template<class T>
-int_4 SphereHealpix<T>::ang2pix_ring(int_4 nside, double theta, double phi) const 
+int_4 SphereHEALPix<T>::ang2pix_ring(int_4 nside, double theta, double phi) const 
 {
   /*
@@ -863,5 +863,5 @@
 
 template<class T>
-int_4 SphereHealpix<T>::ang2pix_nest(int_4 nside, double theta, double phi) const 
+int_4 SphereHEALPix<T>::ang2pix_nest(int_4 nside, double theta, double phi) const 
 {
   /*
@@ -960,5 +960,5 @@
 
 template<class T>
-void SphereHealpix<T>::pix2ang_ring(int_4 nside,int_4 ipix,double& theta,double& phi) const {
+void SphereHEALPix<T>::pix2ang_ring(int_4 nside,int_4 ipix,double& theta,double& phi) const {
   /*
     ===================================================
@@ -1028,5 +1028,5 @@
 
 template<class T>
-void SphereHealpix<T>::pix2ang_nest(int_4 nside,int_4 ipix,double& theta,double& phi) const {
+void SphereHEALPix<T>::pix2ang_nest(int_4 nside,int_4 ipix,double& theta,double& phi) const {
   /*
     ==================================================
@@ -1119,5 +1119,5 @@
 
 template <class T>
-void SphereHealpix<T>::print(ostream& os) const
+void SphereHEALPix<T>::print(ostream& os) const
 {
   if(mInfo_) os << "  DVList Info= " << *mInfo_ << endl;
@@ -1152,16 +1152,16 @@
 
 #ifdef __CXX_PRAGMA_TEMPLATES__
-#pragma define_template SphereHealpix<uint_2>
-#pragma define_template SphereHealpix<r_8>
-#pragma define_template SphereHealpix<r_4>
-#pragma define_template SphereHealpix< complex<r_4> >
-#pragma define_template SphereHealpix< complex<r_8> >
+#pragma define_template SphereHEALPix<uint_2>
+#pragma define_template SphereHEALPix<r_8>
+#pragma define_template SphereHEALPix<r_4>
+#pragma define_template SphereHEALPix< complex<r_4> >
+#pragma define_template SphereHEALPix< complex<r_8> >
 #endif
 #if defined(ANSI_TEMPLATES) || defined(GNU_TEMPLATES)
-template class SphereHealpix<uint_2>;
-template class SphereHealpix<r_8>;
-template class SphereHealpix<r_4>;
-template class SphereHealpix< complex<r_4> >;
-template class SphereHealpix< complex<r_8> >;
+template class SphereHEALPix<uint_2>;
+template class SphereHEALPix<r_8>;
+template class SphereHEALPix<r_4>;
+template class SphereHEALPix< complex<r_4> >;
+template class SphereHEALPix< complex<r_8> >;
 #endif
 
Index: trunk/SophyaLib/SkyMap/spherehealpix.h
===================================================================
--- trunk/SophyaLib/SkyMap/spherehealpix.h	(revision 844)
+++ trunk/SophyaLib/SkyMap/spherehealpix.h	(revision 853)
@@ -13,7 +13,7 @@
 
 
-// ***************** CLASSE SphereHealpix *****************************
-
-//!  class SphereHealpix
+// ***************** CLASSE SphereHEALPix *****************************
+
+//!  class SphereHEALPix
 /*!
    Pixelisation Gorski  
@@ -55,20 +55,20 @@
 
 template<class T>
-class FIO_SphereHealpix;
+class FIO_SphereHEALPix;
 
 template<class T>
-class FITS_SphereHealpix;
+class FITS_SphereHEALPix;
 
 template<class T>
-class SphereHealpix : public SphericalMap<T>
+class SphereHEALPix : public SphericalMap<T>
 {
 
 
-  friend class FIO_SphereHealpix<T>;
-  friend class FITS_SphereHealpix<T>;
+  friend class FIO_SphereHEALPix<T>;
+  friend class FITS_SphereHEALPix<T>;
 
 public :
 
-SphereHealpix();
+SphereHEALPix();
 /*!    
   m is the "nside" of the Gorski algorithm
@@ -78,8 +78,8 @@
   nside MUST be a power of 2 (<= 8192)
 */
-SphereHealpix(int_4 m);
-SphereHealpix(const SphereHealpix<T>& s, bool share=false);
+SphereHEALPix(int_4 m);
+SphereHEALPix(const SphereHEALPix<T>& s, bool share=false);
 //!	Destructor
-virtual ~SphereHealpix();
+virtual ~SphereHEALPix();
 
 /*! Setting blockdata to temporary (see ndatablock documentation) */
